const xPosition = (d, i) => i * 120 + 60;

export const colorLengend = (selection, props) => {
  const {colorScale, circleRadius, spacing, textOffset} = props;
  
  const groups = selection.selectAll('g')
  												.data(colorScale.domain(), d => d.id);
	const groupsEnter = groups.enter().append('g').attr('class', 'tick');
  
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) =>
            'translate(0, '+(i*spacing)+')'
  		);
  groups.exit().remove();
  
  const circles = groups.select('circle');
	groupsEnter
    .append('circle')
  	.merge(circles)
			.attr('fill', colorScale)
  		.attr('r', circleRadius);
  
  const text = groups.select('text');
	groupsEnter
    .append('text')
  	.merge(text)
			.text(d => d)
  		.attr('x', textOffset)
  		.attr('dy', '0.32em');
}