import {select, scaleOrdinal, scaleSqrt} from 'd3';
import {colorLengend} from './colorLengend';
import {sizeLengend} from './sizeLengend';

const svg = select('svg');

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon', 'lime', 'orange'])
	.range(['red', 'yellow', 'green', 'orange']);

const width = +(svg.attr('width'));
const height = +(svg.attr('height'));

svg.append('g')
	.attr('transform', `translate(60, 150)`)
	.call(colorLengend, {
    colorScale,
    height,
    circleRadius: 30,
  	spacing: 80,
  	textOffset: 40
  });

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

svg.append('g')
	.attr('transform', `translate(600, 150)`)
	.call(sizeLengend, {
    sizeScale,
  	spacing: 80,
  	textOffset: 10,
  	numTicks: 5,
  	circleFill: 'rgba(0,0,0,0.5)'
  });