const xPosition = (d, i) => i * 120 + 60;

export const sizeLengend = (selection, props) => {
  const {sizeScale, spacing, textOffset, numTicks, circleFill} = props;
  
  const ticks = sizeScale.ticks(numTicks).filter(d => d !== 0).reverse();
  
  const groups = selection.selectAll('g')
  												.data(ticks, d => d.id);
	const groupsEnter = groups.enter().append('g').attr('class', 'tick');
  
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) =>
            'translate(0, '+(i*spacing)+')'
  		);
  groups.exit().remove();
  
  const circles = groups.select('circle');
	groupsEnter
    .append('circle')
  	.merge(circles)
			.attr('fill', circleFill)
  		.attr('r', d => sizeScale(d));
  
  const text = groups.select('text');
	groupsEnter
    .append('text')
  	.merge(text)
			.text(d => d)
  		.attr('x', d => sizeScale(d) + textOffset)
  		.attr('dy', '0.32em');
}